# Licensed Materials - Property of HCL and/or IBM
# Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
# Copyright IBM Corporation 1999, 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights -  Use, duplication or 
# disclosure restricted by GSA ADP Schedule.



package config;

# Error parser handlers

@handlers =
(
    [ '(.* No such file or directory)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(.* undefined reference to .*)', sub {rterror::action_message( $1, 0 ) } ],
    [ '(.* file not recognized: .*)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(.* warning: .*)', sub { rterror::action_message( $1, 1 ) } ]
);

return 1;
