/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTBoolean_inl__
#define __RTBoolean_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTBoolean_h__
#include <RTBoolean.h>
#endif

RTS_INLINE
RTTypedValue_RTBoolean::
RTTypedValue_RTBoolean( const RTBoolean & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTBoolean::
RTTypedValue_RTBoolean( const RTBoolean      & _value,
			const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTBoolean_inl__
