/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTExternal_inl__
#define __RTExternal_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTExternal_h__
#include <RTExternal.h>
#endif

RTS_INLINE External::Base::Base( void )
    : RTProtocol()
    , msg( nullptr )
    , externalData( nullptr )
{
}

RTS_INLINE RTInSignal External::Base::event( void )
{
    return RTInSignal( this, rti_event );
}

#endif // __RTExternal_inl__
