/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTLayerConnector_inl__
#define __RTLayerConnector_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTLayerConnector_h__
#include <RTLayerConnector.h>
#endif

//lint -save -esym(1927,NameBuffer::small_buffer)
RTS_INLINE RTLayerConnector::NameBuffer::NameBuffer( void )
    : value       ( nullptr )
    , large_buffer( nullptr )
{
#ifdef _lint
    small_buffer[ 0 ] = '\0';
#endif
}
//lint -restore

RTS_INLINE RTLayerConnector::NameBuffer::~NameBuffer( void )
{
#ifdef _lint
    value = nullptr;
#endif
    delete [] large_buffer;
}

#endif // __RTLayerConnector_inl__
