/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTLocalBindingDescriptor_h__
#define __RTLocalBindingDescriptor_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

// This structure describes a binding between two internal ports of
// an actor class. The ports are identified by referring to their
// indices into the array of port descriptors of the same actor class.

struct RTLocalBindingDescriptor
{
    int replication;
    int aPortIndex;
    int zPortIndex;
};

#endif // __RTLocalBindingDescriptor_h__
