/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTSequence_inl__
#define __RTSequence_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTSequence_h__
#include <RTSequence.h>
#endif

RTS_INLINE
RTTypedValue_RTSequence::
RTTypedValue_RTSequence( const RTSequence & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTSequence::
RTTypedValue_RTSequence( const RTSequence     & _value,
			 const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTSequence_inl__
