/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTSequenceOf_inl__
#define __RTSequenceOf_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTSequenceOf_h__
#include <RTSequenceOf.h>
#endif

RTS_INLINE RTDataObject & RTSequenceOf::at( int i ) const
{
    return operator[]( i - 1 );
}

RTS_INLINE
RTTypedValue_RTSequenceOf::
RTTypedValue_RTSequenceOf( const RTSequenceOf & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTSequenceOf::
RTTypedValue_RTSequenceOf( const RTSequenceOf   & _value,
			   const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTSequenceOf_inl__
