/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTVAsciiDecoding_h__
#define __RTVAsciiDecoding_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTAsciiDecoding_h__
#include <RTAsciiDecoding.h>
#endif

#if OBJECT_DECODE

class RTVAsciiDecoding : public RTAsciiDecoding
{
public:
    explicit    RTVAsciiDecoding( RTIBuffer * );
    virtual     ~RTVAsciiDecoding( void );

    virtual int get( void **, const RTObject_class ** ) override;

private:
    // unavailable methods
    RTVAsciiDecoding( const RTVAsciiDecoding & );
    RTVAsciiDecoding & operator=( const RTVAsciiDecoding & );
}; //lint !e1712

#endif // OBJECT_DECODE

#endif // __RTVAsciiDecoding_h__
