/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTVAsciiEncoding_h__
#define __RTVAsciiEncoding_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTAsciiEncoding_h__
#include <RTAsciiEncoding.h>
#endif

#if OBJECT_ENCODE

class RTVAsciiEncoding : public RTAsciiEncoding
{
public:
    explicit    RTVAsciiEncoding( RTOBuffer * );
    virtual     ~RTVAsciiEncoding( void );

protected:
    virtual int putType( const RTObject_class * ) override;

private:
    // unavailable methods
    RTVAsciiEncoding( const RTVAsciiEncoding & );
    RTVAsciiEncoding & operator=( const RTVAsciiEncoding & );
}; //lint !e1712

#endif // OBJECT_ENCODE

#endif // __RTVAsciiEncoding_h__
