/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTLibSet_h__
#define __RTLibSet_h__ included

// Suppress warnings about nameless structs and unions.
#pragma warning( disable: 4201 )

// Suppress warnings about unreferenced inline functions.
#pragma warning( disable: 4514 )

// Suppress warnings about inline functions not expanded.
#pragma warning( disable: 4710 )

// Suppress warnings about automatic inline function expansion.
#pragma warning( disable: 4711 )

#endif // __RTLibSet_h__
