# Licensed Materials - Property of HCL and/or IBM
# Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
# Copyright IBM Corporation 1999, 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights -  Use, duplication or 
# disclosure restricted by GSA ADP Schedule.


VENDOR        = gnu

CC            = g++
SHLIB_CMD     = $(CC) -shared -z text -o

# Add $(DEP_OPTS) to LIBSETCCFLAGS to enable generation of dependency files as a side effect of compilation
LIBSETCCFLAGS = -fno-exceptions -fPIC -std=c++11
LIBSETCCEXTRA = -O4 -finline -finline-functions -fno-builtin -Wall -Winline -Wwrite-strings -Woverflow -Wzero-as-null-pointer-constant -Wuseless-cast -Wold-style-cast
SHLIBS        =
LIBSETLDFLAGS =
