/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>

// need this in front of every chain that begins in a context with substates

void RTActor::exitToChainState( int             _chainState,
				const RTStateId _parent[] )
{
    while( getCurrentState() != _chainState )
	exitState( _parent );
}
