/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>
#include <RTActorProbe.h>

int RTActorProbe::connectProbe( void )
{
    if( _actor != nullptr ) // already connected
	return 0;

    RTActor * pathActor = getActorFromStrPath();

    if( pathActor == nullptr )
	return 0;

    _actor        = pathActor;
    _actor->probe = this;

    evtPresence( _actorIndex, -1, -1 );
    evtReference( -1, -1 );

    return 1;
}
