/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>
#include <RTActorProbe.h>

int RTActorProbe::disconnectProbe( RTActor * theActor )
{
    if( _actor == nullptr )
	return 0;

    if( theActor == _actor || theActor == nullptr )
    {
	_actor->probe = nullptr;
	_actor        = nullptr;

	if( theActor != nullptr )
	    evtPresence( _actorIndex, -1, -1 ); // -1,-1: any observer, daemon

	return 1;
    }

    return 0;
}
