/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>
#include <RTActorProbe.h>
#include <RTDebugger.h>

void RTActorProbe::setChain( int               origin,
			     const char      * transition,
			     const RTMessage * msg )
{
    if( _chainOrigin > 0 )
	evtChain( 0 ); // finish last chain

    _chainOrigin = origin;
    _chainTrans  = transition;
    _chainMsg    = msg;

    evtChain( 1 );
}
