/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorRef.h>
#include <RTComponentDescriptor.h>
#include <RTDiag.h>

void RTActorRef::incarnateAll( void )
{
	RTAssert( _info->kind == RTComponentDescriptor::Fixed );

	int number = size();

	for( int i = 0; i < number; ++i )
	{
		(void)incarnate2( nullptr, nullptr, i, _info->factory);
	}
}
