/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorRefProbe.h>
#include <RTDiag.h>

//lint -save -e1738
RTActorRefProbe::RTActorRefProbe( const RTActorRefProbe & )
    : RTActorProbe( nullptr, 0, nullptr, 0 )
    , _actorRef( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorRefProbe( const RTActorRefProbe & )'" );
}
//lint -restore

RTActorRefProbe & RTActorRefProbe::operator=( const RTActorRefProbe & )
{
    RTDiag::panic( "Unavailable method called:\n"
		"    'RTActorRefProbe::operator=( const RTActorRefProbe & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
