/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiDecoding.h>

int RTAsciiDecoding::getName( char * value, int length )
{
    int  size = 0;
    char byte;

    if( getNonWhite( byte ) == 0 )
	return 0;

    do
    {
	if( ( 'a' <= byte && byte <= 'z' ) ||
	    ( '0' <= byte && byte <= '9' ) ||
	    ( 'A' <= byte && byte <= 'Z' ) ||
	    byte == '_' )
	{
	    value[ size++ ] = byte;
	    if( size >= length )
		return 0;
	}
	else
	{
	    ungetByte( byte );
	    break;
	}
    }
    while( getByte( byte ) != 0 );

    value[ size ] = '\0';

    return size != 0;
}
