/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiDecoding.h>
#include <RTDiag.h>

//lint -save -e1738
//lint -esym(1744,RTAsciiDecoding::unget_buffer)
//lint -esym(1927,RTAsciiDecoding::unget_buffer)

RTAsciiDecoding::RTAsciiDecoding( const RTAsciiDecoding & )
    : RTDecoding()
    , unget_size(              0 )
    , input     ( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTAsciiDecoding( const RTAsciiDecoding & )'" );
}

//lint -restore

RTAsciiDecoding & RTAsciiDecoding::operator=( const RTAsciiDecoding & )
{
    RTDiag::panic( "Unavailable method called:\n"
		"    'RTAsciiDecoding::operator=( const RTAsciiDecoding & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
