/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>
#include <RTOBuffer.h>

int RTAsciiEncoding::putCode( const char * code, int size, Spacing after )
{
    if( before != SpaceNone && after != SpaceNone )
    {
	if( output->write( " ", 1 ) != 1 )
	    return 0;
    }

    if( output->write( code, size ) != size )
	return 0;

    before = after;

    return 1;
}
