/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>
#include <RTFormat.h>

int RTAsciiEncoding::put_address( const void * address )
{
    int  size;
    char ascii[ 40 ];

    size = RTFormat::_void( address, ascii, sizeof( ascii ) );

    return putCode( ascii, size, SpaceAround );
}
