/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>

int RTAsciiEncoding::put_opaque( int data_size, const char * data )
{
    if( put_int( data_size ) == 0 )
	return 0;

    while( --data_size >= 0 )
	if( put_int( *data++ & 0xFF ) == 0 )
	    return 0;

    return 1;
}
