/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>

int RTAsciiEncoding::put_struct( const void           * record,
				 const RTObject_class * type )
{
    int result;

    if( putFieldListStart() == 0 )
	result = 0;
    else
    {
	int first = 1;

	result = putFields( record, type, first );

	if( putFieldListFinish() == 0 )
	    result = 0;
    }

    return result;
}
