/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>
#include <RTDiag.h>

//lint -save -e1738
RTAsciiEncoding::RTAsciiEncoding( const RTAsciiEncoding & )
    : RTEncoding()
    , output( nullptr )
    , before( SpaceNone      )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTAsciiEncoding( const RTAsciiEncoding & )'" );
}
//lint -restore

RTAsciiEncoding & RTAsciiEncoding::operator=( const RTAsciiEncoding & )
{
    RTDiag::panic( "Unavailable method called:\n"
		"    'RTAsciiEncoding::operator=( const RTAsciiEncoding & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
