/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTCmdLineObserver.h>

//lint -save -e1738
RTCmdLineObserver::RTCmdLineObserver( const RTCmdLineObserver & )
    : RTObserver( nullptr, nullptr, 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTCmdLineObserver( const RTCmdLineObserver & )'" );
}
//lint -restore

RTCmdLineObserver & RTCmdLineObserver::operator=( const RTCmdLineObserver & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTCmdLineObserver::operator=( const RTCmdLineObserver & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
