/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorClass.h>
#include <RTActor_class.h>
#include <RTConnector.h>

const RTActorClass RTConnector = {
		nullptr,
		"RTConnector",
		0 /* RTVersionId */,
		0,
		nullptr,
		nullptr
};

static const char * const RTConnector_names[] =
{
    "top"
};

static const RTStateId RTConnector_parent_state[] =
{
    0
};

const RTActor_class RTConnector_Actor::rtg_class =
{nullptr,

    RTConnector_names,

    // states
    1, RTConnector_parent_state,

    &RTConnector,

    // components
    0,nullptr,

    // ports
    0,nullptr,

    // bindings
    0,nullptr,

    // ESVs
    0,nullptr
};
