/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTController.h>
#include <RTDebugger.h>

void RTController::setError( RTController::Error       error,
			     RTController::Primitive   primitive,
			     const void              * info,
			     const void              * detail )
{
    errorNumber = error;
    debugger()->trace( primitive, strerror(), info, detail );
}
