/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTCustomController.h>

void RTCustomController::mainLoop( void )
{
	startup();

	enter( RTJob::running );

	while( phase() != RTJob::finished )
	{
		if( _processFunc != nullptr )
			(_customLayer->*_processFunc)();

		if( dispatch( Background ) != OneDelivered )
			waitForEvents();
	}

	shutdown();
}
