/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTCustomController.h>

void RTCustomController::registerLayer( RTActor         * newLayer,
		RTActorFunction   _wait,
		RTActorFunction   _wakeup,
		RTActorFunction   _process )
{
	if( (_customLayer = newLayer) == nullptr )
	{
		_waitFunc    = nullptr;
		_wakeupFunc  = nullptr;
		_processFunc = nullptr;
	}
	else
	{
		_waitFunc    = _wait;
		_wakeupFunc  = _wakeup;
		_processFunc = _process;
	}
}
