/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTCustomController.h>
#include <RTDiag.h>

//lint -save -e1738
RTCustomController::RTCustomController( const RTCustomController & )
    : RTPeerController( nullptr, nullptr )
    , _customLayer( nullptr )
    , _waitFunc   ( nullptr )
    , _wakeupFunc ( nullptr )
    , _processFunc( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTPeerController( const RTPeerController & )'" );
}
//lint -restore

RTCustomController & RTCustomController::operator=( const RTCustomController & )
{
    RTDiag::panic( "Unavailable method called:\n"
    "    'RTCustomController::operator=( const RTCustomController & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
