/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDaemon.h>
#include <RTMemoryUtil.h>

//lint -save -esym(1927,RTDaemon::settings)

RTDaemon::RTDaemon( RTDebugger * theDebugger )
    : debugger ( theDebugger )
    , actorInfo(             )
{
    RTMemoryUtil::memset( settings, 0, sizeof( settings ) );
}

//lint -restore
