/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTDaemonInfo.h"
#endif

#include <RTDaemonInfo.h>

RTDaemonInfo::~RTDaemonInfo( void )
{
    delete [] actorPath;
    delete [] portName;
    delete [] stateStrTarget;
    delete [] chainStrOrigin;
    delete [] chainStrTrans;
    delete [] variableName;

#ifdef _lint
    info = nullptr;
#endif
}
