/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDataObject.h>
#include <RTObject_class.h>

RTDataObject * RTDataObject::copy( void ) const
{
	const RTObject_class * type      = getClassData();
	void                 * duplicate = type->allocate();

	if( duplicate != nullptr )
		type->copy( duplicate, this );

	return static_cast<RTDataObject *>(duplicate);
}
