/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDebugger.h>

int RTDebugger::getCategory( void )
{
    static const RTDebuggerInput::CmdDesc categories[] =
    {
	{ TraceComm,      1, "communication" },
	{ TraceException, 1, "exception"     },
	{ TraceFrame,     1, "frame"         },
	{ TraceLayer,     1, "layer"         },
	{ TraceTimer,     1, "timer"         },
	{ TraceSystem,    1, "system"        },
	{ TraceAll,       1, "all"           },

	{ -1,             0, nullptr } // terminator
    };

    return input.getCommand( categories, -1, -1 );
}
