/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDebugger.h>
#include <RTDiag.h>
#include <RTDiagStream.h>

void RTDebugger::logMessage( const RTMessage * message )
{
    if( traceLevel[ TraceComm ] >= DEBUG_VERBOSE )
    {
	RTDiagStream & out = RTDiag::out();

	out.lock() << "message\n";
	printMessage( message );
	out << "\n";
	out.unlock();
    }
}
