/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>
#include <RTDiagBuffer.h>
#include <RTDiagStream.h>

RTDiagStream & RTDiagStream::write( const void           * data,
				    const RTObject_class * type )
{
    RTDiagBuffer    buffer( this );
    RTAsciiEncoding coding( &buffer );

    (void)coding.put( data, type );
    (void)coding.flush();

    return *this;
}
