/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDictionary.h>

unsigned RTDictionary::hash( const char * key, unsigned modulus )
{
	unsigned result = 0U; // for hashing ""

	while( *key != '\0' )
		result += static_cast<unsigned>( 0xFF & *key++ );

	return result % modulus;
}
