/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDictionary.h>

const RTAssociation * RTDictionary::iterate( Iterator & iter ) const
{
	while( iter._index < _size )
	{
		const RTAssociation * assoc = &_contents[ iter._index++ ];

		if( assoc->key != nullptr && assoc->key != reinterpret_cast<const char *>(assoc) )
			return assoc;
	}

	return nullptr;
}
