/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDictionary.h>

int RTDictionary::remove( const char * key )
{
	RTAssociation * assoc = find( key );

	if( assoc == nullptr )
		return 0; // keys not found

	delete [] assoc->key;

	assoc->key = reinterpret_cast<char *>(assoc);

	return 1;
}
