/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTElasticArray.h>

RTElasticArray & RTElasticArray::operator=( const RTElasticArray & rhs )
{
	if( this != &rhs )
	{
		delete [] _contents;

		_size     = rhs._size;
		_contents = new void * [ static_cast<unsigned>(_size) ];

		for( int i = 0; i < _size; ++i )
			_contents[i] = rhs._contents[i];
	}

	return *this;
}
