/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTElasticArray.h>

int RTElasticArray::compact( void )
{
    int used = _size;

    for( int nil_index = 0; nil_index < _size; ++nil_index )
    {
	if( _contents[ nil_index ] == nullptr )
	{
	    for( int valid_index = nil_index; ++valid_index < _size; )
		if( _contents[ valid_index ] != nullptr )
		    _contents[ nil_index++ ]  = _contents[ valid_index ];

	    used = nil_index;

	    while( nil_index < _size )
		_contents[ nil_index++ ] = nullptr;

	    break;
	}
    }

    return used;
}
