/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTElasticArray.h>

int RTElasticArray::unusedIndex( int minimum )
{
    int index;

    if( minimum < 0 )
	minimum = 0;

    for( index = minimum; index < _size; ++index )
	if( _contents[ index ] == nullptr )
	    break;

    return index;
}

int RTElasticArray::unusedIndex( void )
{
    return unusedIndex( 0 );
}
