/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTException.h>

//lint -save -e1738
Exception::Base::Base( const Exception::Base & )
    : RTProtocol()
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'Exception::Base( const Exception::Base & )'" );
}
//lint -restore

Exception::Base & Exception::Base::operator=( const Exception::Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
       "    'Exception::Base::operator=( const Exception::Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
