/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTExternal.h>

//lint -save -e1738
External::Base::Base( const Base & )
    : RTProtocol()
    , msg( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'External::Base( const Base & )'" );
}
//lint -restore

External::Base & External::Base::operator=( const Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'External::Base::operator=( const Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
