/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTFieldDescriptor.h>
#include <RTMemoryUtil.h>

const RTFieldDescriptor * RTFieldDescriptor::lookup( int          _count,
						     const char * _name ) const
{
    const RTFieldDescriptor * field = this;

    for( ; _count > 0; --_count, ++field )
	if( RTMemoryUtil::strcmp( _name, field->name ) == 0 )
	    return field;

    return nullptr;
}
