/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>
#include <RTActorClass.h>
#include <RTActorId.h>
#include <RTActor_class.h>
#include <RTFrame.h>

const RTActorClass & Frame::Base::classOf( const RTActorId & incarnation )
{
    RTActor * actor = incarnation;

    return actor != nullptr ? *actor->getActorData()->type
				 : EmptyActorClass;
}
