/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorId.h>
#include <RTActorRef.h>
#include <RTFrame.h>
#include <RTTypedValue.h>

RTActorId Frame::Base::incarnate( RTActorRef         & r,
				  const RTActorClass & actorClass,
				  const RTTypedValue & info,
				  RTController       * rts,
				  int                  index )
{
    return r.incarnate( actorClass,
			info.data, info.type,
			rts, index ); //lint !e1901 !e1911
}
