/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTIOMonitor.h>

RTIOMonitor::RTIOMonitor( const RTIOMonitor & )
    : _entries( nullptr  )
    , _used   (          0U )
    , _space  (          0U )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTIOMonitor( const RTIOMonitor & )'" );
}

RTIOMonitor & RTIOMonitor::operator=( const RTIOMonitor & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTIOMonitor::operator=( const RTIOMonitor & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
