/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTJob.h>

RTJob::RTJob( const RTJob & )
    : _phase( RTJob::created )
#if USE_THREADS
    , _mutex( nullptr )
#endif
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTJob( const RTJob & )'" );
}

RTJob & RTJob::operator=( const RTJob & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTJob::operator=( const RTJob & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
