/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTJsonEncoding.h>

int RTJsonEncoding::put_char( char value )
{
    int  size = 0;
    char ascii[ 4 ];

    ascii[ size++ ] = '"';

    if( value == '\0' )
    {
    	value = '0';
    	ascii[ size++ ] = '\\';
    }
    else if( value == '\'' || value == '\\' )
    	ascii[ size++ ] = '\\';

    ascii[ size++ ] = value;
    ascii[ size++ ] = '"';

    return putCode( ascii, size, SpaceNone );
}
