/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLayerConnector.h>
#include <RTQueue.h>

RTLayerConnector::Pending::Pending( RTQueue    * _queue,
				    RTProtocol * _port,
				    const char * _name )
    : RTLayerData()
    , queue( _queue )
    , port ( _port  )
    , name ( _name  )
{
    queue->add( this );
}
