/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>

void RTLocalConnector::SppNode::append( RTController * context,
					Request      * request )
{
    if( requests == nullptr )
    {
	request->prev = request;
	requests      = request;
    }

    request ->prev       = requests->prev;
    request ->next       = requests;
    request ->prev->next = request;
    requests->prev       = request;

    if( pending == nullptr )
    {
	pending = request;

	if( spp != nullptr )
	    connectAll( context );
    }
}
