/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>

void RTLocalConnector::SppNode::append( SapNode * entry )
{
    if( saps == nullptr )
    {
	entry->prev = entry;
	saps        = entry;
    }

    entry->prev       = saps->prev;
    entry->next       = saps;
    entry->prev->next = entry;
    saps ->prev       = entry;
}
