/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>
#include <RTProtocol.h>

int RTLocalConnector::SppNode::sapTotal( void ) const
{
    int       total = 0;
    SapNode * entry = saps;

    if( entry != nullptr )
    {
	do
	{
	    total += entry->initial.sap->size();
	}
	while( (entry = entry->next) != saps );
    }

    return total;
}
