/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>
#include <RTDiag.h>

//lint -save -e1738
RTLocalConnector::RTLocalConnector( const RTLocalConnector & )
    : RTLayerConnector()
    , db              ( 64U )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTLocalConnector( const RTLocalConnector & )'" );
}
//lint -restore

RTLocalConnector & RTLocalConnector::operator=( const RTLocalConnector & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTLocalConnector::operator=( const RTLocalConnector & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
