/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>
#include <RTLogBuffer.h>
#include <RTLog.h>

void Log::Base::show( const void * value, const RTObject_class * type )
{
    RTLogBuffer     buffer( this );
    RTAsciiEncoding ascii( &buffer );

    if( ascii.put( value, type ) != 0 )
	(void)ascii.flush();
}
