/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMain.h>
#include <RTMemoryUtil.h>

const char * RTMain::debugName( void )
{
    int                  ac = argCount();
    const char * const * av = argStrings();

    while( --ac > 0 )
	if( RTMemoryUtil::strcmp( *++av, "-name=", 6 ) == 0 )
	    return *av + 6;  // "-name="

    return nullptr;
}
