/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMain.h>
#include <RTMutex.h>

static RTMutex critical;

void RTMain::lock( void )
{
    critical.enter();
}

void RTMain::unlock( void )
{
    critical.leave();
}
