/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTMemoryInBuffer.h>

//lint -save -e1738

RTMemoryInBuffer::RTMemoryInBuffer( const RTMemoryInBuffer & )
    : RTIBuffer()
    , memory( nullptr         )
    , size  (               0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTMemoryInBuffer( const RTMemoryInBuffer & )'" );
}

//lint -restore

RTMemoryInBuffer & RTMemoryInBuffer::operator=( const RTMemoryInBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTMemoryInBuffer::operator=( const RTMemoryInBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
