/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMemoryUtil.h>

void RTMemoryUtil::strcpy( char * dst, const char * src, int len )
{
    if( len < 0 )
    {
	while( (*dst++ = *src++) != '\0' )
	{
	}
    }
    else
    {
	memcpy( dst, src, len );
	dst[ len ] = '\0';
    }
}
