/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMemoryUtil.h>

char * RTMemoryUtil::strdup( const char * src, int len )
{
	if( len < 0 )
		len = strlen( src );

	char * dup = new char[ static_cast<unsigned>(len) + 1U ];

	if( dup != nullptr )
	{
		memcpy( dup, src, len );
		dup[ len ] = '\0';
	}

	return dup;
}
