/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMessage.h>
#include <RTMessageQ.h>

// add an array of n messages to this queue

void RTMessageQ::link( RTMessage * msg, int n )
{
    if( n <= 0 )
	return;

    if( head == nullptr )
	head = msg;

    if( tail != nullptr )
	tail->next = msg;

    for( int i = 0; ++i < n; ++msg )
	msg->next = &msg[1];

    msg->next = nullptr;
    tail = msg;
}
