/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTMessage.h>
#include <RTMessageQ.h>

// insert the specified node at the head of the queue

void RTMessageQ::nqHead( RTMessage * node )
{
    if( head == nullptr ) // queue is empty
    {
	RTAssert( tail == nullptr );
	tail = node;
    }
    node->next = head;
    head = node;
}
