/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTFieldDescriptor.h"
#pragma implementation "RTFieldOffset.h"
#pragma implementation "RTObject_class.h"
#pragma implementation "RTObject_class.inl"
#pragma implementation "RTTypeModifier.h"
#pragma implementation "RTTypedValue.h"
#pragma implementation "RTTypedValue.inl"
#pragma implementation "RTVersionId.h"
#pragma implementation "RTnew.h"
#endif

#include <RTFieldDescriptor.h>
#include <RTFieldOffset.h>
#include <RTObject_class.h>
#include <RTTypeModifier.h>
#include <RTTypedValue.h>
#include <RTVersionId.h>
#include <RTnew.h>

void * RTObject_class::allocate( void ) const
{
    return ( _size != 0 ) ? ::operator new( _size ) : nullptr;
}
