/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDecoding.h>
#include <RTDiag.h>
#include <RTFieldDescriptor.h>
#include <RTObject_class.h>

int RTarray_decode( const RTObject_class * type,
		    void                 * target,
		    RTDecoding           * coding )
{
    RTAssert( type->_fields->modifier == nullptr );

    return coding->get_array( target, type->_num_fields,
				      type->_fields->type );
}
