/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTEncoding.h>
#include <RTFieldDescriptor.h>
#include <RTFieldOffset.h>
#include <RTObject_class.h>

int RTarray_encode( const RTObject_class * type,
		    const void           * source,
		    RTEncoding           * coding )
{
    RTAssert( type->_fields->modifier == nullptr );

    return coding->put_array( source, type->_num_fields, type->_fields->type );
}
