/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTObject_class.h>

RTTypeInstaller::RTTypeInstaller( const RTObject_class & type )
    : _next( nullptr )
    , _type( &type )
{
    // We need this local static variable because can't count on _head
    // being initialized before this constructor is first used.

    static bool initialized = false;

    if( ! initialized )
    {
	_head       = nullptr;
	initialized = true;
    }

    _next = _head;
    _head = this;
}
