/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTObject_class.h>

int RTObject_class::isKindOf( const RTObject_class * superclass ) const
{
    const RTObject_class * _class_ = this;

    do
    {
		if( _class_ == superclass )
			return 1;
    }
    while( (_class_ = _class_->super()) != nullptr );

    return 0;
}
