/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTObject_class.h>

#if OBJECT_DECODE
static int void_decode( const RTObject_class *, void *, RTDecoding * )
{
    return 1;
}
#endif

#if OBJECT_ENCODE
static int void_encode( const RTObject_class *, const void *, RTEncoding * )
{
    return 1;
}
#endif

const RTObject_class RTType_void =
{
	nullptr,
    nullptr,
    "void",
    0 /* RTVersionId */,
    1 /* RTFieldOffset */,
    RTnop_init,
    RTnop_copy,
	RTnop_move,
#if OBJECT_DECODE
    void_decode,
#endif
#if OBJECT_ENCODE
    void_encode,
#endif
    RTnop_destroy,
    0, nullptr
};

#if OBJECT_DECODE
RTTypeInstaller void_installer( RTType_void );
#endif
