/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTPointer.h>

RTPointer & RTPointer::operator=( const RTPointer & rhs )
{
    length   = 0;
    Contents = rhs.Contents;

    return *this;
} //lint !e1529

RTPointer & RTPointer::operator=( void * rhs )
{
    length   = 0;
    Contents = static_cast<char *>(rhs);

    return *this;
}
