/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTPointer.h>

RTPointer::RTPointer( void * value )
    : RTByteBlock()
{
    Contents = static_cast<char *>(value);
}

RTPointer::RTPointer( const RTPointer & other )
    : RTByteBlock( other )
{
    Contents = other.Contents;
}
