/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTPointer.h>

int RTPointer::operator==( const RTDataObject & _rhs ) const
{
    const RTPointer & rhs = * static_cast<const RTPointer *>(&_rhs);

    return RTDataObject::operator==( _rhs ) != 0 && Contents == rhs.Contents;
}
