/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

int RTProtocol::registerAs( const char * serviceName )
{
    if( ( _info->properties & RTPortDescriptor::MaskRegisterPublished ) == 0 )
	return registerSAP( serviceName );
    else
	return registerSPP( serviceName );
}
