/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTQueue.h>

int RTQueue::length( void ) const
{
    int     result = 0;
    Block * block;

    for( block = head; block != nullptr; block = block->next )
	result += block->used;

    return result;
}
