/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTRecallFilter.h"
#endif

#include <RTController.h>
#include <RTMessage.h>
#include <RTRecallFilter.h>

RTRecallFilter::~RTRecallFilter( void )
{
	while( recallToFront != nullptr )
	{
		RTMessage * next = recallToFront->next;

		context->requeueMsg( recallToFront, 1 );
		recallToFront = next;
	}

#ifdef _lint
	context       = nullptr;
	recallToFront = nullptr;
	port          = nullptr;
#endif
}
