/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTRecallFilter.h>

//lint -save -e1738

RTRecallFilter::RTRecallFilter( const RTRecallFilter & )
    : RTQFilter()
    , context      ( nullptr )
    , recallToFront( nullptr )
    , port         ( nullptr )
    , options      ( Back              )
    , signal       (                 0 )
    , index        (                 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTRecallFilter( const RTRecallFilter & )'" );
}

//lint -restore

RTRecallFilter & RTRecallFilter::operator=( const RTRecallFilter & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTRecallFilter::operator=( const RTRecallFilter & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
