/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorRef.h>
#include <RTComponentDescriptor.h>
#include <RTInterfaceDescriptor.h>
#include <RTRelayPort.h>

int RTRelayPort::directUse( const RTActorRef * home, int id ) const
{
    const RTComponentDescriptor * info = home->getInfo();

    return ( 0 <= id && id < info->numInterfaces )
		? info->interfaces[ id ].replication
		: 0;
}
