/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTRelayPort.h>

RTRelayPort::RTRelayPort( const RTRelayPort & )
    : _importers( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTRelayPort( const RTRelayPort & )'" );
}

RTRelayPort & RTRelayPort::operator=( const RTRelayPort & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTRelayPort::operator=( const RTRelayPort & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
