/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTResourceMgr.h>

RTResourceMgr::RTResourceMgr( const RTResourceMgr & )
    : messages( nullptr )
    , blocks  ( nullptr )
#if USE_THREADS
    , access  ( nullptr )
#endif
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTResourceMgr( const RTResourceMgr & )'" );
}

RTResourceMgr & RTResourceMgr::operator=( const RTResourceMgr & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTResourceMgr::operator=( const RTResourceMgr & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
