/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTSuperActor.h>

RTSuperActor::RTSuperActor( RTController * controller )
    : RTActor( controller, nullptr )
    , specials       (                   )
    , application    (                   )
    , frame          (                   )
    , timer          (                   )
#if USE_THREADS
    , timerController( nullptr )
    , timerThread    ( nullptr )
#endif
{
}
