/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTcpInBuffer.h>

//lint -save -esym(1927,RTTcpInBuffer::buffer)

RTTcpInBuffer::RTTcpInBuffer( RTTcpSocket * input )
    : RTIBuffer()
    , socket    ( input )
    , get_offset(     0 )
    , put_offset(     0 )
{
#ifdef _lint
    buffer[ 0 ] = '\0';
#endif
}

//lint -restore
