/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTTcpInBuffer.h>

//lint -save -e1738 -esym(1927,RTTcpInBuffer::buffer)

RTTcpInBuffer::RTTcpInBuffer( const RTTcpInBuffer & )
    : RTIBuffer()
    , socket    ( nullptr )
    , get_offset(                0 )
    , put_offset(                0 )
{
#ifdef _lint
    buffer[ 0 ] = '\0';
#endif

    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTcpInBuffer( const RTTcpInBuffer & )'" );
}

//lint -restore

RTTcpInBuffer & RTTcpInBuffer::operator=( const RTTcpInBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTcpInBuffer::operator=( const RTTcpInBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
