/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTime.h>

int RTTime::operator==( const RTDataObject & _rhs ) const
{
	const RTTime & rhs = * static_cast<const RTTime *>(& _rhs);

	return RTSequence::operator==( _rhs ) != 0
			&& ( hours   == rhs.hours   )     != 0
			&& ( minutes == rhs.minutes )     != 0
			&& ( seconds == rhs.seconds )     != 0;
}
