/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTimerActor.h>

void RTTimerActor::getRelativeClock( RTTimespec & ts )
{
    // RTTimerNode::critical mutex can't be used here since we might be
    // called from a timeout => mutex already taken => deadlock

    RTTimespec::getclock( ts );

    ts -= currentOffset;
}
