/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTTimerController.h>

//lint -save -e1738
RTTimerController::RTTimerController( const RTTimerController & )
    : RTPeerController( nullptr, nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerController( const RTTimerController & )'" );
}
//lint -restore

RTTimerController & RTTimerController::operator=( const RTTimerController & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTTimerController::operator=( const RTTimerController & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
