/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTTimerId.h"
#pragma implementation "RTTimerId.inl"
#endif

#include <RTTimerId.h>
#include <RTTimerNode.h>

RTTimerId::~RTTimerId( void )
{
	if( node != nullptr )
	{
#if USE_THREADS
		RTTimerNode::critical.enter();
#endif

		RTTimerNode::_disconnect( this );

#ifdef _lint
		node = nullptr;
#endif

#if USE_THREADS
		RTTimerNode::critical.leave();
#endif
	}
}
