/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTTimerList.h>

RTTimerList::RTTimerList( const RTTimerList & )
    : nodes( nullptr  )
    , space(                 0U )
    , used (                 0U )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerList( const RTTimerList & )'" );
}

RTTimerList & RTTimerList::operator=( const RTTimerList & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerList::operator=( const RTTimerList & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
