/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTTimerNode.h>

void RTTimerNode::_connect( RTTimerId * id )
{
    RTAssert( id->node      == nullptr );
    RTAssert( id->ring.prev == &id->ring );
    RTAssert( id->ring.next == &id->ring );

    id->node      = this;
    id->ring.prev = id_ring.prev;
    id->ring.next = &id_ring;

    id_ring.prev->next = &id->ring;
    id_ring.prev       = &id->ring;
}
