/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTController.h>
#include <RTMessage.h>
#include <RTSpecialSignals.h>
#include <RTTimerNode.h>

void RTTimerNode::_timeout( RTController * context )
{
    context->countTimerExpire();
    msg->signal = RTTimeoutSignal;
    owner->receive( msg, context );
}
