/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTSignalDescriptor.h>
#include <RTTiming.h>

static const RTSignalDescriptor Timing_Signals[] =
{
		{
				"timeout", nullptr,
				Timing::Base::rti_timeout
		}
};

const RTProtocolDescriptor Timing::Base::rt_class =
{
		nullptr,
		&rt_class,
		"Timing",
		0 /* RTVersionId */,
		1, Timing_Signals
};
