/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTTiming.h>

//lint -save -e1738
Timing::Base::Base( const Timing::Base & )
    : RTProtocol()
    , outstanding( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'Timing::Base( const Timing::Base & )'" );
}
//lint -restore

Timing::Base & Timing::Base::operator=( const Timing::Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'Timing::Base::operator=( const Timing::Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
