#include <RTDaemon.h>
#include <RTDaemonInfo.h>
#include <RTDebugger.h>
#include <RTMemoryUtil.h>
#include <RTToolsetObserver.h>

namespace
{
    const char * any_actor = "*";
}

void RTToolsetObserver::handleGetMessages( void )
{
    TO_getMessages * getMessages = static_cast<TO_getMessages *>(structInfo.ptr);
    RTDaemonInfo   * daemonInfo  = new RTDaemonInfo;

    if( RTMemoryUtil::strcmp( any_actor, getMessages->path ) )
        daemonInfo->setInfoActor( getMessages->path, true );

    daemon->getMessages( daemonInfo );
}
