/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTToolsetObserver.h>

void RTToolsetObserver::sendResultCode( int theResultCode )
{
    TO_resultCode data;

    data.code = theResultCode;

    if( TO_encodeResultCode( &txBuffer, &structInfo.daemon, &data )
			    == ENC_SUCCESS )
    {
	sendTxBuffer();
    }
}
