/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTToolsetObserver.h>

int RTToolsetObserver::transmitData( void )
{
    int result = 1;

    if( txTempBuffer.used > 0 ) // prev send not completed
    {
	int nrSent = sendData( txTempBuffer.data, txTempBuffer.used );

	txTempBuffer.data += nrSent;
	txTempBuffer.used -= nrSent;

	if( txTempBuffer.used > 0 ) // prev send failed - signal failure
	    result = 0;
    }

    return result;
}
