/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTVAsciiEncoding.h>

//lint -save -e1738

RTVAsciiEncoding::RTVAsciiEncoding( const RTVAsciiEncoding & )
    : RTAsciiEncoding( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTVAsciiEncoding( const RTVAsciiEncoding & )'" );
}

//lint -restore

RTVAsciiEncoding & RTVAsciiEncoding::operator=( const RTVAsciiEncoding & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTVAsciiEncoding::operator=( const RTVAsciiEncoding & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
