/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTWebObserver.h>

int RTWebObserver::receiveData( void )
{
    int numRead = readData( &inBuffer[ bufUsed ], bufSize - bufUsed );

    if( numRead <= 0 )
	return numRead;

    bufUsed += numRead;

    return -1; // close connection when done
}
