/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTAbortController_h__
#define __RTAbortController_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTPeerController_h__
#include <RTPeerController.h>
#endif

class RTAbortController : public RTPeerController
{
public:
    explicit        RTAbortController( RTDebugger * );
    virtual         ~RTAbortController( void );

    virtual void    mainLoop( void ) override;

private:
    // unavailable methods
    RTAbortController( const RTAbortController & );
    RTAbortController & operator=( const RTAbortController & );
}; //lint !e1712

#endif // __RTAbortController_h__
