/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTTimerList_inl__
#define __RTTimerList_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTTimerList_h__
#include <RTTimerList.h>
#endif

RTS_INLINE int RTTimerList::length( void ) const
{
    return static_cast<int>(used);
}

RTS_INLINE RTTimerList::Link::Link( void )
    : index( 0U )
{
}

#endif // __RTTimerList_inl__
