/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTTruncatingBuffer_h__
#define __RTTruncatingBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTMemoryOutBuffer_h__
#include <RTMemoryOutBuffer.h>
#endif

class RTTruncatingBuffer : public RTMemoryOutBuffer
{
public:
		RTTruncatingBuffer( char *, int size );
    virtual     ~RTTruncatingBuffer( void );

private:
    // unavailable methods
    RTTruncatingBuffer( const RTTruncatingBuffer & );
    RTTruncatingBuffer & operator=( const RTTruncatingBuffer & );
}; //lint !e1712

#endif // __RTMemoryTruncatingOutBuffer_h__
