/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTWebObserver_h__
#define __RTWebObserver_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTObserver_h__
#include <RTObserver.h>
#endif

class RTWebObserver : public RTObserver
{
public:
		 RTWebObserver( RTDebugger  * theDebugger,
				RTTcpSocket * theSocket,
				int           theObsId,
				const char  * initBuf = nullptr,
				int           initLen = 0 );

    virtual      ~RTWebObserver( void );

    virtual int receiveData( void ) override;

private:
    // unavailable methods
    RTWebObserver( const RTWebObserver & );
    RTWebObserver & operator=( const RTWebObserver & );
}; //lint !e1712

#endif // __RTCmdLineObserver_h__
