/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTMutex.h>

#include <errno.h>

void RTMutex::enter( void )
{
    while( pthread_mutex_lock( &mutex ) != 0 )
	if( errno != EINTR )
	    RTDiag::panic( "pthread_mutex_lock" );
}
