/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTSyncObject.h>

void RTSyncObject::wait( void )
{
    // Wait for this synchronization object to be signalled. Only the owning
    // thread is permitted to use this function. If the object is in the
    // 'signalled' state it should be reset to 'unsignalled' and the function
    // should return immediately. Otherwise the current thread should block
    // until the object is signalled by another thread. The object should
    // always be left in the 'unsignalled' state.
}
