/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTSyncObject.h>

RTSyncObject::RTSyncObject( void )
: event( CreateEvent( nullptr,    // local to this process
		0,    // reset automatically
		0,    // initially reset
		nullptr ) ) // no name
{
	if( event == nullptr )
		RTDiag::panic( "CreateEvent" );
}
