/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTinet.h>
#include <RTtcp.h>

extern "C" int RTinet_primary( int, RTinet_address * address )
{
	char hname[ 100 ];

	if( gethostname( hname, sizeof( hname ) ) != 0 )
		return 0;

	return RTinet_lookup( hname, address );
}
