/* ;rt-indent: 0;rt-indent-char-sp; */
// /*******************************************************************************
//  * (c) Copyright HCL Technologies Ltd. 2018.  MIT Licensed!
//  *******************************************************************************/
#ifndef ITCPConnection_h
#define ITCPConnection_h

#ifdef PRAGMA
#pragma interface "ITCPConnection.h"
#endif
#include <UnitName_TCPLib.h>
//{{{USR platform:/resource/LibTcpServer/LibTCPServer.emx#_Vq7iIO5WEeitL-zKjjNp2A|General|headerPreface
#include <string>
//}}}USR
extern const RTObject_class RTType_ITCPConnection;
class ITCPConnection
{
public:
    inline virtual ~ITCPConnection( void )
    {
    }
    static const RTObject_class RTType_Status;
    enum Status
    {
        OK
        , Error
    };
private:
    static void rtg_Status_init( const RTObject_class * type, Status * target );
    static void rtg_Status_copy( const RTObject_class * type, Status * target, const Status * source );
public:
    struct RTTypedValue_Status
    {
        const void * data;
        const RTObject_class * type;
        const bool rValueRef = false;
        inline RTTypedValue_Status( const Status & rtg_value )
            : data( &rtg_value )
            , type( &RTType_Status )
        {
        }
        inline RTTypedValue_Status( const Status && rtg_value )
            : data( &rtg_value )
            , type( &RTType_Status )
            , rValueRef( true )
        {
        }
        inline RTTypedValue_Status( const Status & rtg_value, const RTObject_class * rtg_type )
            : data( &rtg_value )
            , type( rtg_type )
        {
        }
        inline ~RTTypedValue_Status( void )
        {
        }
    };
    virtual void reply( const std::string& msg ) = 0;
    virtual void replyStatus( Status status, const std::string& msg, const std::string& result ) = 0;
    virtual void replyStatus( Status status, const std::string& msg ) = 0;
    virtual void replyHTTPStatus( Status status, const std::string& msg ) = 0;
};
struct RTTypedValue_ITCPConnection
{
    const void * data;
    const RTObject_class * type;
    const bool rValueRef = false;
    inline RTTypedValue_ITCPConnection( const ITCPConnection & rtg_value )
        : data( &rtg_value )
        , type( &RTType_ITCPConnection )
    {
    }
    inline RTTypedValue_ITCPConnection( const ITCPConnection && rtg_value )
        : data( &rtg_value )
        , type( &RTType_ITCPConnection )
        , rValueRef( true )
    {
    }
    inline RTTypedValue_ITCPConnection( const ITCPConnection & rtg_value, const RTObject_class * rtg_type )
        : data( &rtg_value )
        , type( rtg_type )
    {
    }
    inline ~RTTypedValue_ITCPConnection( void )
    {
    }
};
#endif /* ITCPConnection_h */
