# Licensed Materials - Property of HCL and/or IBM
# Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
# Copyright IBM Corporation 1999, 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights -  Use, duplication or 
# disclosure restricted by GSA ADP Schedule.



package config;

# Error parser handlers

@handlers =
(
    [ '^(.*):(\d*): warning: (.*)', sub { rterror::action_print( $1, $2, $3, 1 ); } ],
    [ '^(.*):(\d*): (.*)', sub { rterror::action_print( $1, $2, $3, 0 ); } ]
);

return 1;
