/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTActorId_inl__
#define __RTActorId_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTActorId_h__
#include <RTActorId.h>
#endif

RTS_INLINE int RTActorId::operator!=( const RTActorId & o ) const
{
    return operator==( o ) == 0;
}

RTS_INLINE int RTActorId::operator!=( const RTActorRef & o ) const
{
    return operator==( o ) == 0;
}

RTS_INLINE int RTActorId::operator!=( const RTDataObject & o ) const
{
    return operator==( o ) == 0;
}

RTS_INLINE
RTTypedValue_RTActorId::
RTTypedValue_RTActorId( const RTActorId & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTActorId::
RTTypedValue_RTActorId( const RTActorId      & _value,
			const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTActorId_inl__
