/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTReal_inl__
#define __RTReal_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTReal_h__
#include <RTReal.h>
#endif

RTS_INLINE
RTTypedValue_RTReal::
RTTypedValue_RTReal( const RTReal & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTReal::
RTTypedValue_RTReal( const RTReal         & _value,
		     const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTReal_inl__
