/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTStreamBuffer_h__
#define __RTStreamBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTOBuffer_h__
#include <RTOBuffer.h>
#endif

class RTStreamBuffer : public RTOBuffer
{
public:
		RTStreamBuffer( void );
    virtual     ~RTStreamBuffer( void );

    virtual int write( const char * data, int size ) override;

protected:
    int         offset;
    char        buffer[ 80 ];

private:
    // unavailable methods
    RTStreamBuffer( const RTStreamBuffer & );
    RTStreamBuffer & operator=( const RTStreamBuffer & );
}; //lint !e1712

#endif // __RTStreamBuffer_h__
