/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAbortController.h>
#include <RTDiag.h>

//lint -save -e1738
RTAbortController::RTAbortController( const RTAbortController & )
    : RTPeerController( nullptr, nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTAbortController( const RTAbortController & )'" );
}
//lint -restore

RTAbortController & RTAbortController::operator=( const RTAbortController & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTAbortController::operator=( const RTAbortController & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
