/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActiveConnector.h>
#include <RTDiag.h>

//lint -save -e1738
RTActiveConnector::RTActiveConnector( const RTActiveConnector & )
    : RTLayerConnector()
    , connector( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActiveConnector( const RTActiveConnector & )'" );
}
//lint -restore

RTActiveConnector & RTActiveConnector::operator=( const RTActiveConnector & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTActiveConnector::operator=( const RTActiveConnector & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
