/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>
#include <RTActor_class.h>
#include <RTComponentDescriptor.h>

RTActorRef * RTActor::_component( int id )
{
    const RTActor_class * info = getActorData();

    if( id <= 0 || id > info->numComponents )
	return nullptr;

    return RTObjectOf( RTActorRef, info->components[ id - 1 ].offset, this );
}
