/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>

RTActor::RTActor( RTController * controller, RTActorRef * reference )
    : rts          (           controller )
    , homeReference(            reference )
    , homeIndex    (                    0 )
    , relays       ( nullptr )
#if DEFER_IN_ACTOR
    , deferredQ    (                      )
#endif
#if SUSPEND
    , suspendMsgs  ( nullptr              )
#endif
    , importList   ( nullptr              )
    , state        ( nullptr              )
    , msg          ( nullptr              )
#if OBSERVABLE
    , probe        ( nullptr              )
#endif
{
    controller->countActorIncarnate();
}
