/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorProbe.h>

void RTActorProbe::addFieldValue( const char * variable, const char * value )
{
    // create a new FieldEntry element, put last in queue
    FieldEntry * newElem = new FieldEntry( variable, value );

    if( _fieldList == nullptr )
	_fieldList = newElem;
    else
    {
	FieldEntry * element = _fieldList;

	while( element->next != nullptr )
	    element = element->next;

	element->next = newElem;
    }
}
