/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTActorProbe.h"
#pragma implementation "RTActorProbe.inl"
#endif

#include <RTActorProbe.h>

RTActorProbe::~RTActorProbe( void )
{
	while( _fieldList != nullptr )
	{
		FieldEntry * next = _fieldList->next;

		delete _fieldList;

		_fieldList = next;
	}

#ifdef _lint
	_chainMsg   = nullptr;
	_chainTrans = nullptr;
#endif
}

RTActorProbe::FieldEntry::~FieldEntry( void )
{
	delete [] varName;
	delete [] varValue;

#ifdef _lint
	next = nullptr;
#endif
}
