/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorProbe.h>
#include <RTDebugger.h>

void RTActorProbe::evtPresence( int actorIndex, int observerId, int daemonId )
{
    int index = actorIndex < 0 ? _actorIndex : actorIndex;

    (void)_debugger->evtPresence( _id, index, _actor, observerId, daemonId );
}
