/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorProbe.h>
#include <RTDiag.h>

//lint -save -e1738
RTActorProbe::RTActorProbe( const RTActorProbe & )
    : RTProbe( nullptr, 0, nullptr, 0 )
    , _chainOrigin  (                    0 )
    , _chainTrans   ( nullptr              )
    , _chainMsg     ( nullptr              )
    , _chainParent  (                    0 )
    , _chainState   (                    0 )
    , _fieldList    ( nullptr              )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorProbe( const RTActorProbe & )'" );
}
//lint -restore

RTActorProbe & RTActorProbe::operator=( const RTActorProbe & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorProbe::operator=( const RTActorProbe & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
