/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorRef.h>
#include <RTDiag.h>

RTActorRef::RTActorRef( const RTActorRef & )
    : _info    ( nullptr )
    , _contents( nullptr )
#if OBSERVABLE
    , probe    ( nullptr )
#endif
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorRef( const RTActorRef & )'" );
}

RTActorRef & RTActorRef::operator=( const RTActorRef & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTActorRef::operator=( const RTActorRef & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
