/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorRef.h>
#include <RTActorRefProbe.h>

int RTActorRefProbe::disconnectProbe( RTActor * theActor )
{
    if( _actor == nullptr )
	return 0;

    if( theActor == _actor || theActor == nullptr )
    {
	if( theActor == nullptr )
	    _actorRef->probe = nullptr;
	else
	    evtPresence( -1, -1, -1 ); // -1: any actorIndex,observer,daemon

	_actorRef = nullptr;
	_actor    = nullptr;

	return 1;
    }

    return 0;
}
