/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiDecoding.h>
#include <RTIBuffer.h>

int RTAsciiDecoding::getByte( char & byte )
{
    if( unget_size > 0 )
    {
	byte = unget_buffer[ --unget_size ];
	return 1;
    }
    else
	return input->get( byte ) > 0;
}
