/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiDecoding.h>
#include <RTMemoryUtil.h>

int RTAsciiDecoding::get_bool( bool & value )
{
	int  status = 1;
	char word[ 20 ];

	if( getName( word, sizeof( word ) ) == 0 )
		status = 0;
	else
	{
		if( RTMemoryUtil::strcmp( word, "true" ) == 0 )
			value = true;
		else if( RTMemoryUtil::strcmp( word, "false" ) == 0 )
			value = false;
		else
			status = 0;
	}

	return status;
}
