/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiDecoding.h>

int RTAsciiDecoding::get_unsignedshort( unsigned short & value )
{
	const unsigned shift = 8U * sizeof( value ) - 1U;
	unsigned long  tmp   = 0L;

	if( get_unsignedlong( tmp ) != 0 && ( tmp >> shift ) <= 1UL )
	{
		value = static_cast<unsigned short>(tmp);
		return 1;
	}

	return 0;
}
