/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTAsciiEncoding.h>
#include <RTFieldDescriptor.h>

int RTAsciiEncoding::put_enum( int value, int numElements, const RTFieldDescriptor * element )
{
	RTFieldOffset offset = value;

	for( ; numElements > 0; --numElements, ++element )
		if( offset == element->offset )
			return putName( element->name );

	return put_int( value );
}
