/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTBoolean.h>

RTBoolean::RTBoolean( int i )
    : RTInteger( i != 0 ? 1 : 0 )
{
}

//lint -save -e1738
RTBoolean::RTBoolean( const RTBoolean & other )
    : RTInteger( other.value != 0 ? 1 : 0 )
{
}
//lint -restore
