/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTCachedString.h>

#if USE_THREADS
#include <RTMutex.h>

static RTMutex critical;
#endif

void RTCachedString::lock( void )
{
#if USE_THREADS
    critical.enter();
#endif
}

void RTCachedString::unlock( void )
{
#if USE_THREADS
    critical.leave();
#endif
}
