/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTConnector.h>

RTLayerData * RTConnector_Actor::_registerSAP( RTController * _context,
					       RTProtocol   * _sap,
					       const char   * _name )
{
    RTLayerData * info = nullptr;

    if( registerSAP( _context, _sap, _name ) != 0 )
	info = new SapData( this, _sap, _name );

    return info;
}
