/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTConnector.h>

RTLayerData * RTConnector_Actor::_registerSPP( RTController * _context,
					       RTProtocol   * _spp,
					       const char   * _name )
{
    RTLayerData * info = nullptr;

    if( registerSPP( _context, _spp, _name ) != 0 )
	info = new SppData( this, _spp, _name );

    return info;
}
