/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTConnector.h>
#include <RTDiag.h>

//lint -save -e1738
RTConnector_Actor::RTConnector_Actor( const RTConnector_Actor & other )
    : RTActor( other.context(), other.getReference() )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTConnector_Actor( const RTConnector_Actor & )'" );
}
//lint -restore

RTConnector_Actor & RTConnector_Actor::operator=( const RTConnector_Actor & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTConnector_Actor::operator=( const RTConnector_Actor & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
