/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTController.h>

// This is a performance optimization that hides the complications of
// using dispatch recursively.
// Other than in mainLoop, this is the only place dispatch is called.

void RTController::awaitResponse( void )
{
    if( dispatch( Synchronous ) != OneDelivered )
	waitForEvents();
}
