#include <RTDaemon.h>
#include <RTDaemonInfo.h>
#include <RTDebugger.h>

void RTDaemon::getMessages( RTDaemonInfo * daemonInfo )
{
    int actorIndex = daemonInfo->actorIndex;
    if( actorIndex >= 0 )
    {
        int probeId = posInfo( daemonInfo );
        // mark start of the queue
        RTEventInfo * evtMsg = new RTEventInfo( RTEventInfo::EventMsgQueue,
                                                probeId,
                                                actorIndex );
        debugger->addEvent( evtMsg );
    }

    debugger->getMessages( *daemonInfo );
}
