/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDaemon.h>
#include <RTDiag.h>

//lint -save -e1738
//lint -esym(1744,RTDaemon::settings)
//lint -esym(1927,RTDaemon::settings)

RTDaemon::RTDaemon( const RTDaemon & )
    : debugger ( nullptr )
    , actorInfo(                 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTDaemon( const RTDaemon & )'" );
}

//lint -restore

RTDaemon & RTDaemon::operator=( const RTDaemon & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTDaemon::operator=( const RTDaemon & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
