/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDaemonInfo.h>
#include <RTMemoryUtil.h>

void RTDaemonInfo::setInfoChain( const char * theActor,
				 const char * theOrigin,
				 const char * theTrans,
				 int          thePos )
{
    daemonKind     = InfoChain;
    if( theOrigin )
        chainStrOrigin = RTMemoryUtil::strdup( theOrigin );
    if( theTrans )
        chainStrTrans  = RTMemoryUtil::strdup( theTrans  );
    chainPosition  = thePos;

    setInfo( theActor );
}
