/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActor.h>
#include <RTDebugger.h>
#include <RTMain.h>
#include <RTMemoryUtil.h>

void RTDebugger::doCmdSystem( void )
{
	int  depth;
	char id[ 200 ];

	if( input.getString( id, sizeof( id ) ) == 0 )
	{
		id[ 0 ] = '1';
		id[ 1 ] = '\0';
	}

	if( (depth = input.getNumber()) < 0 )
		depth = 0;

	printStructure( findActor( id, RTMain::topReference() ), id, depth );
}
