/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDebugger.h>
#include <RTMain.h>

RTActor * RTDebugger::getActor( void )
{
	char id[ 200 ];

	if( input.getString( id, sizeof( id ) ) == 0 )
		return nullptr;

	return findActor( id, RTMain::topReference() );
}
