/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDebugger.h>

int RTDebugger::getLevel( void )
{
    static const RTDebuggerInput::CmdDesc levels[] =
    {
	{ DEBUG_NONE,    1, "none"   },
	{ DEBUG_TERSE,   1, "errors" },
	{ DEBUG_VERBOSE, 1, "all"    },

	{ -1,            0, nullptr } // terminator
    };

    return input.getCommand( levels, -1, -1 );
}
