/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorProbe.h>
#include <RTDebugger.h>

void RTDebugger::getPresence( int probeNr, int observerId, int daemonId )
{
	RTActorProbe * probe = static_cast<RTActorProbe *>(probes[ probeNr ]);
	if( probe != nullptr )
		probe->evtPresence( -1, observerId, daemonId );
}
