/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTController.h>
#include <RTDebugger.h>

RTController * RTDebugger::getTask( int index )
{
    RTController * task;

    if( index < 0 )
    {
	// invalid index
    }
    else if( (task = tasks) == nullptr )
    {
	// no tasks
    }
    else
    {
	do
	{
	    if( index == 0 )
		return task;
	}
	while( --index, (task = task->_next) != tasks );
    }

    return nullptr;
}
