/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDebugger.h>
#include <RTDiag.h>
#include <RTDiagStream.h>
#include <RTProtocol.h>

void RTDebugger::printPort( const RTProtocol * port, int portIndex )
{
    if( port != nullptr )
    {
	printRef( port->getOwner(), port->getName() );

	RTDiag::out() << "[" << portIndex << "]";
    }
}
