/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDebugger.h>
#include <RTDiag.h>
#include <RTinet.h>

void RTDebugger::wakeupUdp( void )
{
	if( _udp != INET_NO_SOCKET )
	{
		static char anything = 'D';

		if( RTinet_sendto( _udp,
				&anything, sizeof( anything ),
				&RTinet_loopback, _udp_port ) < 0 )
			RTDiag::panic( "wakeupUdp" );
	}
}
