/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDebuggerInput.h>
#include <RTMemoryUtil.h>

int RTDebuggerInput::getNumber( void )
{
	char str[ 80 ];

	if( getString( str, sizeof( str ) ) == 0 )
		return -1;

	return RTMemoryUtil::atoi( str );
}
