/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTDiagBuffer.h>

//lint -save -e1738

RTDiagBuffer::RTDiagBuffer( const RTDiagBuffer & )
    : RTStreamBuffer()
    , out( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTDiagBuffer( const RTDiagBuffer & )'" );
}

//lint -restore

RTDiagBuffer & RTDiagBuffer::operator=( const RTDiagBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTDiagBuffer::operator=( const RTDiagBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
