/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiagStream.h>
#include <RTFormat.h>

RTDiagStream & operator<<( RTDiagStream & ds, const void * value )
{
    int  size;
    char buffer[ 40 ];

    size = RTFormat::_void( value, buffer, sizeof( buffer ) - 1 );
    buffer[ size ] = '\0';

    return ds << buffer;
}
