/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTAssociation.h"
#pragma implementation "RTDictionary.h"
#pragma implementation "RTDictionary.inl"
#endif

#include <RTDictionary.h>

RTDictionary::~RTDictionary( void )
{
	for( unsigned i = 0; i < _size; ++i )
	{
		RTAssociation * assoc = &_contents[ i ];

		if( assoc->key != nullptr && assoc->key != reinterpret_cast<char *>(assoc) )
		{
			delete [] assoc->key;
			assoc->key = reinterpret_cast<char *>(assoc);
		}
	}

	delete [] _contents;
}
