/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTDynamicStringOutBuffer.h>

//lint -save -e1738

RTDynamicStringOutBuffer::RTDynamicStringOutBuffer(const RTDynamicStringOutBuffer&)
    : RTOBuffer()
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTDynamicStringOutBuffer( const RTDynamicStringOutBuffer & )'" );
}

//lint -restore

RTDynamicStringOutBuffer & RTDynamicStringOutBuffer::operator=( const RTDynamicStringOutBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTDynamicStringOutBuffer::operator=( const RTDynamicStringOutBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
