/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTEncoding.h>
#include <RTEnumerated.h>
#include <RTObject_class.h>

int RTEnumerated_encode( const RTObject_class * type,
			 const void           * value,
			 RTEncoding           * coding )
{
    const RTEnumerated * data = static_cast<const RTEnumerated *>(value);

    return coding->put_enum( data->value, type->_num_fields, type->_fields );
}
