/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTEventInfo.h"
#endif

#include <RTEventInfo.h>
#include <RTMessage.h>

RTEventInfo::~RTEventInfo( void )
{
    delete [] chainStrOrigin;
    delete [] stateStrTarget;
    delete [] portName;
    delete    message;
    delete [] varName;
    delete [] varValue;
    delete [] histStrHist;
    delete [] histStrCurr;

#ifdef _lint
    actor         = nullptr;
    info          = nullptr;
    chainStrTrans = nullptr;
    signalName    = nullptr;
    prev          = nullptr;
    next          = nullptr;
#endif
}
