/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTExternal.h>
#include <RTObject_class.h>
#include <RTSignalDescriptor.h>

const RTSignalDescriptor External::Base::rt_signals[] =
{
		{
				"event", nullptr, // Any type is acceptable
				External::Base::rti_event
		}
};

const RTProtocolDescriptor External::Base::rt_class =
{
		nullptr,
		&rt_class,
		"External",
		0 /* RTVersionId */,
		1, rt_signals
};
