/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTController.h>
#include <RTExternal.h>

int External::Base::raise( const void * data, const RTObject_class * type )
{
    int         result  = 0;
    RTMessage * message = unload();

    if( message != nullptr )
    {
    	if (data != nullptr && type != nullptr) {
    		message->setData( data, type );
    		message->internData();
    	}
    	context()->peer_receive( message );

    	result = 1;
    }

    return result;
}
