/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTFloat.h>

int RTFloat::mod10( void ) const
{
    int result = mantissa[ mantissa_words - 1 ];

    for( int i = mantissa_words - 1; --i >= 0; )
	result += ( word_scale % 10 ) * ( mantissa[ i ] % 10 );

    result %= 10;

    return result;
}
