/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTFormat.h>

int RTFormat::_long( long value, char * buffer, int bufferSize )
{
	int size;

	if( value >= 0L )
		size = _unsigned( static_cast<unsigned long>(value), buffer, bufferSize );
	else
	{
		size = _unsigned( static_cast<unsigned long>(-value), &buffer[ 1 ], bufferSize - 1 );

		if( size != 0 )
		{
			buffer[ 0 ] = '-';
			++size; // account for sign
		}
	}

	return size;
}
