/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorClass.h>
#include <RTActorRef.h>
#include <RTFrame.h>

RTActorId Frame::Base::incarnate( RTActorRef & r,
				  const RTDataObject & data,
				  RTController       * rts,
				  int                  index )
{
    return r.incarnate( EmptyActorClass, &data, data.getClassData(), rts, index );
}
