/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTFrame.h>

//lint -save -e1738
Frame::Base::Base( const Frame::Base & )
    : RTProtocol()
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'Frame::Base( const Frame::Base & )'" );
}
//lint -restore

Frame::Base & Frame::Base::operator=( const Frame::Base & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'Frame::Base::operator=( const Frame::Base & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
