/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLayerConnector.h>
#include <RTMemoryUtil.h>

const char * RTLayerConnector::parseName( const char * name )
{
    const char * colon;

    if( name                                        != nullptr &&
	(colon = RTMemoryUtil::strchr( name, ':' )) != nullptr )
    {
	return &colon[ 1 ];
    }

    return name;
}
