/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTLayerConnector.h>

RTLayerConnector::RTLayerConnector( const RTLayerConnector & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTLayerConnector( const RTLayerConnector & )'" );
}

RTLayerConnector & RTLayerConnector::operator=( const RTLayerConnector & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTLayerConnector::operator=( const RTLayerConnector & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
