/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>
#include <RTProtocol.h>

RTLocalConnector::Request::Request( RTProtocol * _sap,
				    int          _start )
    : prev ( nullptr )
    , next ( nullptr )
    , chain( nullptr )
    , sap  ( _sap         )
    , start( _start       )
    , limit( _sap->size() )
{
}
