/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>

RTLocalConnector::SapNode::SapNode( RTController * context,
				    SppNode      * _node,
				    RTProtocol   * _sap,
				    const char   * _name )
    : RTLayerData()
    , initial( _sap,      0 )
    , prev   ( nullptr )
    , next   ( nullptr )
    , node   ( _node        )
    , name   ( _name        )
{
    node->append( this );
    node->append( context, &initial );
}
