/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>

void RTLocalConnector::SppNode::remove( RTController * context,
					Request      * request )
{
    if( requests == request )
    {
	requests = request->next;

	if( requests == request )
	    requests = nullptr;

	pending = requests;
    }
    else if( pending == request )
    {
	pending = request->next;

	if( pending == requests )
	    pending = nullptr;
    }

    request->prev->next = request->next;
    request->next->prev = request->prev;

    if( pending != nullptr && spp != nullptr )
	connectAll( context );
}
