/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTLocalConnector.h>
#include <RTProtocol.h>

void RTLocalConnector::SppNode::resize( RTController * context,
					int            old_size )
{
    int new_size = spp->size();

    if( new_size > old_size )
    {
	if( pending != nullptr )
	    connectAll( context ); // bind some more SAPs
    }
    else // if( new_size < old_size )
    {
	// look at all SAPs
	// update requests that are no longer satisfied
    }
}
