/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTDiagStream.h>
#include <RTLog.h>

void Log::Base::show( const char * str )
{
    if( file != 0 && str != nullptr )
    {
	RTDiagStream & out = RTDiag::out();

	out.lock() << str;
	out.unlock();
    }
}
