/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTLogBuffer.h>

//lint -save -e1738

RTLogBuffer::RTLogBuffer( const RTLogBuffer & )
    : RTStreamBuffer()
    , log( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTLogBuffer( const RTLogBuffer & )'" );
}

//lint -restore

RTLogBuffer & RTLogBuffer::operator=( const RTLogBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTLogBuffer::operator=( const RTLogBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
