/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTController.h>
#include <RTMain.h>

int RTMain::shutdown( RTController * context )
{
    if( context == _controller )
    {
		static bool working = false;

		if( working )
			return 0; // not done yet

		working = true;

		RTActor * super = _superActor;

		_superActor   = nullptr;
		_topReference = nullptr;

		context->destroy( super, nullptr );
    }

    return 1;
}
