/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTMemoryOutBuffer.h>

//lint -save -e1738

RTMemoryOutBuffer::RTMemoryOutBuffer( const RTMemoryOutBuffer & )
    : RTOBuffer()
    , memory( nullptr )
    , size  (         0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTMemoryOutBuffer( const RTMemoryOutBuffer & )'" );
}

//lint -restore

RTMemoryOutBuffer & RTMemoryOutBuffer::operator=( const RTMemoryOutBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTMemoryOutBuffer::operator=( const RTMemoryOutBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
