/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMessage.h>

RTMessage::RTMessage( const RTMessage & other )
    : next          ( nullptr                   )
#if OTRTSDEBUG != DEBUG_NONE
    , _sendPortId   (                         0 )
    , _sendPortIndex(                         0 )
    , _sendProbeId  (                        -1 )
    , _sendTime     (                           )
#endif
    , signal        (                         0 )
    , priority      (                         0 )
    , _flags        (                         0 )
    , _receiver     ( nullptr                   )
    , _port         ( nullptr                   )
    , _portIndex    (                         0 )
    , _type         ( nullptr                   )
{ //lint !e1927
    data = nullptr;

    *this = other;
}
