/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTMessageQ.h>

RTMessageQ::RTMessageQ( const RTMessageQ & )
    : head( nullptr )
    , tail( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTMessageQ( const RTMessageQ & )'" );
}

RTMessageQ & RTMessageQ::operator=( const RTMessageQ & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTMessageQ::operator=( const RTMessageQ & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
