/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTOBuffer.h>

RTOBuffer::RTOBuffer( const RTOBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTOBuffer( const RTOBuffer & )'" );
}

RTOBuffer & RTOBuffer::operator=( const RTOBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTOBuffer::operator=( const RTOBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
