/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTObject_class.h>

void RTabstract_init( const RTObject_class *, void * )
{
    RTDiag::panic( "init(abstract)" );
}

void RTabstract_copy( const RTObject_class *, void *, const void * )
{
    RTDiag::panic( "copy(abstract)" );
}

void RTabstract_move( const RTObject_class *, void *, void * )
{
    RTDiag::panic( "move(abstract)" );
}
