/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDaemon.h>
#include <RTObserver.h>

void RTObserver::cmdDestroyDaemon( int daemonNr )
{
    if( setDaemon( daemonNr ) == 0 )
	return;

    (void)delInfo( nullptr );

    delete daemon;
    daemon = nullptr;

    if( daemonNr >= 0 )
    {
	daemons[ daemonNr ] = nullptr;
	daemons.resize( 0 );
    }
    else
	superDaemon = nullptr;
}
