/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTObserver.h"
#endif

#include <RTObserver.h>
#include <RTTcpSocket.h>

RTObserver::~RTObserver( void )
{
    for( int iDaemon = 0; iDaemon < daemons.size(); ++iDaemon )
	cmdDestroyDaemon( iDaemon );

    cmdDestroyDaemon( -1 ); // super daemon

    cmdCommand( "resume" );

    delete socket;
    delete [] inBuffer;

    debugger    = nullptr;
    daemon      = nullptr;
    superDaemon = nullptr;
}
