/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTObserver.h>
#include <RTTcpSocket.h>

int RTObserver::readData( char * buf, int buflen )
{
    if( socket->state() != RTTcpSocket::Established )
	return 0;

    if( socket->hasData() == 0 )
	return 0;

    int numRead = socket->read( buf, buflen );

    if( numRead == 0 )
	numRead = -1;

    return numRead;
}
