/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTProbe.h>

RTProbe::RTProbe( const RTProbe & )
    : _debugger  ( nullptr )
    , _id        (                 0 )
    , _owner     (                 0 )
    , _actor     ( nullptr )
    , _doReport  (                 0 )
    , _refCount  (                 0 )
    , _stringPath( nullptr )
    , _actorIndex(                 0 )
    , _destroyMe (                 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTProbe( const RTProbe & )'" );
}

RTProbe & RTProbe::operator=( const RTProbe & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTProbe::operator=( const RTProbe & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
