/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTProtocol.h"
#pragma implementation "RTProtocol.inl"
#endif

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

RTProtocol::~RTProtocol( void )
{
	delete [] _ends;

	if( ( getFlags() & Resized ) != 0 )
		delete RTConstCast( RTPortDescriptor, _info );

#ifdef _lint
	_info  = nullptr;
	_layer = nullptr;
#endif
}
