/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

int RTProtocol::indexTo( RTActor * actor ) const
{
    if( actor != nullptr ) // valid actor?
    {
	int replication = _info->replication;

	for( int index = 0; index < replication; ++index )
	    if( isIndexTo( index, actor ) != 0 )
		return index;
    }

    return -1;
}
