/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

int RTProtocol::isBoundAt( int index ) const
{
    if( index < 0 || _info->replication <= index )
	return 0; // index out of range

    return _ends[ index ].state != End::Unbound;
}
