/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTProtocol.h>

RTProtocol::RTProtocol( const RTProtocol & )
    : _ends ( nullptr )
    , _info ( nullptr )
    , _flags( SendTypeCheck | ReceiveTypeCheck )
    , _layer( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTProtocol( const RTProtocol & )'" );
}

RTProtocol & RTProtocol::operator=( const RTProtocol & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTProtocol::operator=( const RTProtocol & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
