/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTProtocolDescriptor.h>
#include <RTSignalDescriptor.h>

const char * RTProtocolDescriptor::inSignalName( int signal ) const
{
    const RTSignalDescriptor * rxSignal = inSignals;
    int                        rxCount  = numInSignals;

    for( ; --rxCount >= 0; ++rxSignal )
	if( rxSignal->value == signal )
	    return rxSignal->name;

    return nullptr; // no such signal
}
