/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTProtocol.h>
#include <RTPurgeFilter.h>

RTPurgeFilter::RTPurgeFilter( RTController * _context,
			      RTProtocol   * _port,
			      Options        _options,
			      int            _signal,
			      int            _index )
    : RTQFilter()
    , context( _context       )
    , port   ( _port          )
    , options( _options       )
    , signal ( _signal        )
    , index  ( _index         )
{
}
