/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMessage.h>
#include <RTPurgeFilter.h>

int RTPurgeFilter::select( RTMessage & msg )
{
    return                                msg.sap()       == port
	&& ( ( options & Index  ) == 0 || msg.sapIndex0() == index  )
	&& ( ( options & Signal ) == 0 || msg.signal      == signal );
}
