/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTPurgeFilter.h>

//lint -save -e1738

RTPurgeFilter::RTPurgeFilter( const RTPurgeFilter & )
    : RTQFilter()
    , context( nullptr )
    , port   ( nullptr )
    , options(               All )
    , signal (                 0 )
    , index  (                 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTPurgeFilter( const RTPurgeFilter & )'" );
}

//lint -restore

RTPurgeFilter & RTPurgeFilter::operator=( const RTPurgeFilter & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTPurgeFilter::operator=( const RTPurgeFilter & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
