/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTQueue.h"
#pragma implementation "RTQueue.inl"
#endif

#include <RTQueue.h>

RTQueue::~RTQueue( void )
{
	Block * block = head;

	while( block != nullptr )
	{
		Block * _next = block->next;

		delete block;

		block = _next;
	}

#ifdef _lint
	head = nullptr;
	tail = nullptr;
#endif
}
