/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTQueue.h>

void * RTQueue::Iterator::next( void )
{
    for(;;)
    {
	if( block == nullptr )
	    return nullptr;

	if( index >= block->used )
	{
	    block = block->next;
	    index = 0;
	}
	else
	    return block->data[ index++ ];
    }
}
