/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTController.h>
#include <RTMessage.h>
#include <RTRecallFilter.h>

void RTRecallFilter::accept( RTMessage & msg )
{
    msg.resetDeferred();

    if( ( options & ( Front | Back ) ) == Front )
    {
	msg.next = recallToFront;
	recallToFront = &msg;
    }
    else
	context->requeueMsg( &msg, 0 );
}
