/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTRelayPort.h>

void RTRelayPort::init( int indirectUse )
{
	if( indirectUse > 0 )
	{
		_importers = new RTActorRef * [ static_cast<unsigned>(indirectUse) ];

		for( int i = 0; i < indirectUse; ++i )
			_importers[ i ] = nullptr;
	}
}
