/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTResourceMgr.h>
#if USE_THREADS
#include <RTMutex.h>
#endif

RTResourceMgr::RTResourceMgr( void )
    : messages( nullptr )
    , blocks  ( nullptr )
#if USE_THREADS
    , access( new RTMutex )
#endif
{
}
