/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTRootProtocol.h>
#include <RTSignalDescriptor.h>

static const RTSignalDescriptor RTRootProtocol_Signals[] =
{
		{
				"rtBound", nullptr,
				RTRootProtocol::rti_rtBound
		},
		{
				"rtUnbound", nullptr,
				RTRootProtocol::rti_rtUnbound
		}
};

const RTProtocolDescriptor RTRootProtocol::rt_class =
{
		nullptr,
		&rt_class,
		"RTRootProtocol",
		0 /* RTVersionId */,
		sizeof( RTRootProtocol_Signals ) / sizeof( RTRootProtocol_Signals[ 0 ] ),
		RTRootProtocol_Signals
};
