/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTSoleController.h>

//lint -save -e1738
RTSoleController::RTSoleController( const RTSoleController & )
    : RTController    ( nullptr, nullptr )
    , timer_interrupts( 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTSoleController( const RTSoleController & )'" );
}
//lint -restore

RTSoleController & RTSoleController::operator=( const RTSoleController & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTSoleController::operator=( const RTSoleController & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
