/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTStreamBuffer.h>

//lint -save -e1738 -esym(1927,RTStreamBuffer::buffer)

RTStreamBuffer::RTStreamBuffer( const RTStreamBuffer & )
    : RTOBuffer()
    , offset( 0 )
{
#ifdef _lint
    buffer[ 0 ] = '\0';
#endif

    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTStreamBuffer( const RTStreamBuffer & )'" );
}

//lint -restore

RTStreamBuffer & RTStreamBuffer::operator=( const RTStreamBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTStreamBuffer::operator=( const RTStreamBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
