/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMemoryUtil.h>
#include <RTString.h>

RTString & RTString::operator=( const char * rhs )
{
    if( Contents != rhs )
    {
	delete [] Contents;

	if( rhs == nullptr )
	    Contents = nullptr;
	else
	    Contents = RTMemoryUtil::strdup( rhs );
    }

    return *this;
}
