/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMemoryUtil.h>
#include <RTString.h>

int RTString::operator==( const char * rhs ) const
{
    if( Contents == nullptr )
	return rhs == nullptr;
    else
	return rhs != nullptr
	    && RTMemoryUtil::strcmp( Contents, rhs ) == 0;
}
