/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTSuperActor.h"
#endif

#include <RTController.h>
#include <RTSuperActor.h>

#if USE_THREADS
#include <RTThread.h>
#endif

RTSuperActor::~RTSuperActor( void )
{
#if USE_THREADS
    delete timerThread;
    delete timerController;
#endif // USE_THREADS
}
