/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorClass.h>
#include <RTActorId.h>
#include <RTDiag.h>
#include <RTMain.h>
#include <RTSuperActor.h>
#include <RTSystemDescriptor.h>

void RTSuperActor::t2_start( void )
{
    const RTSystemDescriptor * system = RTMain::systemInfo();

    RTActorId id( frame.incarnate( application,
				   *system->topClass ) ); //lint !e1901

    RTAssert( id.isValid() != 0 );
}
