/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTMemoryUtil.h>
#include <RTTcpOutBuffer.h>
#include <RTTcpSocket.h>

int RTTcpOutBuffer::flush( void )
{
    if( offset > 0 )
    {
		int count = socket->write( buffer, offset );

		if( count <= 0 )
			return count;

		if( (offset -= count) > 0 )
			RTMemoryUtil::memcpy( buffer, &buffer[ count ], offset );
    }

    return 1;
}
