/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTTcpOutBuffer.h>

//lint -save -e1738

RTTcpOutBuffer::RTTcpOutBuffer( const RTTcpOutBuffer & )
    : RTStreamBuffer()
    , socket( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTcpOutBuffer( const RTTcpOutBuffer & )'" );
}

//lint -restore

RTTcpOutBuffer & RTTcpOutBuffer::operator=( const RTTcpOutBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	       "    'RTTcpOutBuffer::operator=( const RTTcpOutBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
