/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTcpSocket.h>
#include <RTinet.h>

int RTTcpSocket::read( char * buffer, int bufferSize )
{
    if( state() != Established )
	return -1;

    int count;

    if( (count = RTinet_read( _sd, buffer, bufferSize )) < 0 )
    {
	close();
	return -1;
    }

    return count;
}
