/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTThread.h"
#endif

#include <RTJob.h>
#include <RTThread.h>
#include <RTThreadInfo.h>

RTThread::~RTThread( void )
{
    _job->kill();

    delete _info;

#ifdef _lint
    _job = nullptr;
#endif
}
