/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTThread.h>

RTThread::RTThread( const RTThread & )
    : _job ( nullptr )
    , _info( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTThread( const RTThread & )'" );
}

RTThread & RTThread::operator=( const RTThread & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTThread::operator=( const RTThread & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
