/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTime.h>

int RTTime::asInt( void ) const
{
    int result;

    result  = static_cast<int>(hours);
    result *= 60;

    result += static_cast<int>(minutes);
    result *= 60;

    result += static_cast<int>(seconds);

    return result;
}
