/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTime.h>

RTTime RTTime::asTime( int value )
{
    int v = value % ( 24 * 60 * 60 );

    if( v < 0 )
	v += 24 * 60 * 60;

    return RTTime( v / 3600, ( v / 60 ) % 60, v % 60 ); //lint !e1901
}
