/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTime.h>

int operator<( const RTTime & lhs, const RTTime & rhs )
{
    int l_value;
    int r_value;

    l_value = lhs.hours;
    r_value = rhs.hours;

    if( l_value < r_value ) return 1;
    if( l_value > r_value ) return 0;

    l_value = lhs.minutes;
    r_value = rhs.minutes;

    if( l_value < r_value ) return 1;
    if( l_value > r_value ) return 0;

    l_value = lhs.seconds;
    r_value = rhs.seconds;

    return l_value < r_value;
}
