/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTSpecialPorts.h>
#include <RTSpecialSignals.h>
#include <RTTimerActor.h>

void RTTimerActor::rtsBehavior( int signal, int port )
{
    if( port == RTControlPort )
    {
	if( signal == RTInterruptSignal ) // clock ticks
	{
	    sendTimeouts();
	    return;
	}

	if( signal == RTInitSignal )
	{
	    start();
	    return;
	}
    }

    unexpectedMessage();
}
