/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTActorRef.h>
#include <RTDiag.h>
#include <RTTimerActor.h>

//lint -save -e1738
RTTimerActor::RTTimerActor( const RTTimerActor & other )
    : RTActor ( other.context(), other.getReference() )
    , pendingAbsolute()
    , pendingRelative()
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerActor( const RTTimerActor & )'" );
}
//lint -restore

RTTimerActor & RTTimerActor::operator=( const RTTimerActor & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerActor::operator=( const RTTimerActor & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
