/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTimerNode.h>

#if USE_THREADS
RTMutex RTTimerNode::critical;
#endif

RTTimerNode::RTTimerNode( RTController * _owner )
    : sap            ( nullptr                   )
    , prev           ( nullptr                   )
    , next           ( nullptr                   )
    , link           (                           )
    , owner          (                    _owner )
    , msg            ( nullptr )
    , expireTime     (                           )
    , repeatInterval (                           )
    , missedIntervals(                         0 )
    , data           ( nullptr                   )
    , type           ( nullptr                   )
    , id_ring        (                           )
    , active         (                         0 )
{
}
