/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTTimerNode.h"
#pragma implementation "RTTimerNode.inl"
#endif

#include <RTDiag.h>
#include <RTTimerNode.h>

RTTimerNode::~RTTimerNode( void )
{
    RTAssert( type == nullptr );

#ifdef _lint
    sap   = nullptr;
    prev  = nullptr;
    next  = nullptr;
    owner = nullptr;
    msg   = nullptr;
    data  = nullptr;
    type  = nullptr;
#endif
}
