/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTTimespec.h>

RTTimespec & RTTimespec::operator+=( const RTTimespec & rhs )
{
    tv_sec  += rhs.tv_sec;
    tv_nsec += rhs.tv_nsec;

    normalize();

    return *this;
}
