/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDaemon.h>
#include <RTToolsetObserver.h>

void RTToolsetObserver::accessVariable( void )
{
	TO_variableData * myVarData = static_cast<TO_variableData *>(structInfo.ptr);

	if( structInfo.func == CMD_SET_VAR )
		daemon->fieldValue( myVarData->variable, myVarData->value );
	else // structInfo.func == CMD_GET_VAR
		daemon->fieldValue( myVarData->variable,nullptr );

	sendResultCode( RES_OK );
}
