/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTTruncatingBuffer.h>

//lint -save -e1738

RTTruncatingBuffer::RTTruncatingBuffer( const RTTruncatingBuffer & )
    : RTMemoryOutBuffer( nullptr, 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTruncatingBuffer( const RTTruncatingBuffer & )'" );
}

//lint -restore

RTTruncatingBuffer & RTTruncatingBuffer::operator=( const RTTruncatingBuffer & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTTruncatingBuffer::operator=( const RTTruncatingBuffer & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
