/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTVAsciiDecoding.h>

//lint -save -e1738

RTVAsciiDecoding::RTVAsciiDecoding( const RTVAsciiDecoding & )
    : RTAsciiDecoding( nullptr )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTVAsciiDecoding( const RTVAsciiDecoding & )'" );
}

//lint -restore

RTVAsciiDecoding & RTVAsciiDecoding::operator=( const RTVAsciiDecoding & )
{
    RTDiag::panic( "Unavailable method called:\n"
	   "    'RTVAsciiDecoding::operator=( const RTVAsciiDecoding & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
