/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTDiag.h>
#include <RTWebObserver.h>

//lint -save -e1738
RTWebObserver::RTWebObserver( const RTWebObserver & )
    : RTObserver( nullptr, nullptr, 0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTWebObserver( const RTWebObserver & )'" );
}
//lint -restore

RTWebObserver & RTWebObserver::operator=( const RTWebObserver & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTWebObserver::operator=( const RTWebObserver & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
