/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTArray_class_h__
#define __RTArray_class_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTFieldDescriptor_h__
#include <RTFieldDescriptor.h>
#endif

#ifndef __RTObject_class_h__
#include <RTObject_class.h>
#endif

struct RTArray_class : public RTObject_class
{
    RTFieldDescriptor element;

    RTArray_class( int size, const RTObject_class * element_type );
//  ~RTArray_class( void );
}; //lint !e1712

#endif // __RTArray_class_h__
