/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTDaemon_inl__
#define __RTDaemon_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTDaemon_h__
#include <RTDaemon.h>
#endif

RTS_INLINE int RTDaemon::shouldHalt( void ) const
{
    return settings[ SettHaltEnabled ];
}

RTS_INLINE int RTDaemon::shouldReport( void ) const
{
    return settings[ SettDoReport ];
}

#endif // __RTDaemon_inl__
