/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTDebugger_inl__
#define __RTDebugger_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTDebugger_h__
#include <RTDebugger.h>
#endif

#if OTRTSDEBUG != DEBUG_NONE

RTS_INLINE int RTDebugger::controlThreshold( void ) const
{
    return 0;
}

#if ! USE_THREADS

RTS_INLINE int RTDebugger::isHalted( void ) const
{
    return   mode == Halted
	|| ( mode == Stepping && step_count == 0U );
}

#endif // ! USE_THREADS

#endif // OTRTSDEBUG != DEBUG_NONE

#endif // __RTDebugger_inl__
