/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTElasticArray_inl__
#define __RTElasticArray_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTElasticArray_h__
#include <RTElasticArray.h>
#endif

RTS_INLINE int RTElasticArray::size( void ) const
{
    return _size;
}

RTS_INLINE void * & RTElasticArray::operator[]( int index )
{
    if( _size <= index )
	resize( index + 1 );

    return _contents[ index ];
}

#endif // __RTElasticArray_inl__
