/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#ifdef PRAGMA
#pragma implementation "RTSyncObject.h"
#endif

#include <RTDiag.h>
#include <RTSyncObject.h>

RTSyncObject::~RTSyncObject( void )
{
    if( pthread_cond_destroy( &cv ) != 0 )
	RTDiag::panic( "pthread_cond_destroy" );
}
