/*
 *  Licensed Materials - Property of HCL and/or IBM
 *  Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 *  Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 * 
 *  U.S. Government Users Restricted Rights -  Use, duplication or 
 *  disclosure restricted by GSA ADP Schedule.
 */

#ifndef __RTThreadInfo_h__
#define __RTThreadInfo_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

#include <pthread.h>

struct RTThreadInfo
{
    pthread_t tid;
    int       valid;

    RTThreadInfo( void );
    ~RTThreadInfo( void );
};

#endif // __RTThreadInfo_h__
