/*
 * Licensed Materials - Property of HCL and/or IBM
 * Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
 * Copyright IBM Corporation 1999, 2016. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights -  Use, duplication or 
 * disclosure restricted by GSA ADP Schedule.
 */

#include <RTSyncObject.h>

void RTSyncObject::signal( void )
{
    // Signal this synchronization object. If the owner is currently waiting,
    // it should be readied. Otherwise the state of this object should be
    // such that the next call to wait or timedwait made by the owner will
    // not block. Signalling a second or subsequent time should have no effect.
}
