#! perl -w

# Licensed Materials - Property of HCL and/or IBM
# Copyright HCL Technologies Ltd. 2016, 2021. All Rights Reserved.
# Copyright IBM Corporation 1999, 2016. All Rights Reserved.
#
# U.S. Government Users Restricted Rights -  Use, duplication or 
# disclosure restricted by GSA ADP Schedule.



$prefix = '';
$rc     = 0;

while( $#ARGV >= 0 )
{
    last if( $ARGV[0] !~ m{^-} );

    if   ( $ARGV[0] eq '-begin' ) { $prefix = '!> '; }
    elsif( $ARGV[0] eq '-end'   ) { $prefix = '!! '; }
    elsif( $ARGV[0] eq '-fail'  ) { $rc     = 1;     }

    shift @ARGV;
}

print STDERR $prefix, join( ' ', @ARGV ), "\n";
exit $rc;
