/* ;rt-indent: 0;rt-indent-char-sp; */
// /*******************************************************************************
//  * (c) Copyright HCL Technologies Ltd. 2018.  MIT Licensed!
//  *******************************************************************************/
#ifndef TCPServerControl_h
#define TCPServerControl_h

#ifdef PRAGMA
#pragma interface "TCPServerControl.h"
#endif
#include <UnitName_TCPLib.h>
struct TCPServerControl
{
    class Base : public RTRootProtocol
    {
    public:
        inline Base( void );
        inline ~Base( void );
        enum
        {
            rti_stop = rtiLast_RTRootProtocol + 1
        };
    protected:
        enum
        {
            rtiLast_TCPServerControl = rti_stop
        };
    public:
        inline RTInSignal stop( void );
        static const RTProtocolDescriptor rt_class;
    private:
        static const RTSignalDescriptor rt_signals[];
    };
    class Conjugate : public RTRootProtocol
    {
    public:
        inline Conjugate( void );
        inline ~Conjugate( void );
    protected:
        enum
        {
            rtiLast_TCPServerControl = rtiLast_RTRootProtocol
        };
    public:
        inline RTOutSignal stop( void );
        static const RTProtocolDescriptor rt_class;
    private:
        static const RTSignalDescriptor rt_signals[];
    };
};
inline TCPServerControl::Base::Base( void )
    : RTRootProtocol(  )
{
}

inline TCPServerControl::Base::~Base( void )
{
}

inline RTInSignal TCPServerControl::Base::stop( void )
{
    return RTInSignal( this, rti_stop );
}

inline TCPServerControl::Conjugate::Conjugate( void )
    : RTRootProtocol(  )
{
}

inline TCPServerControl::Conjugate::~Conjugate( void )
{
}

inline RTOutSignal TCPServerControl::Conjugate::stop( void )
{
    return RTOutSignal( this, Base::rti_stop, nullptr, &RTType_void );
}

#endif /* TCPServerControl_h */
