/* ;rt-indent: 0;rt-indent-char-sp; */
// /*******************************************************************************
//  * (c) Copyright HCL Technologies Ltd. 2018.  MIT Licensed!
//  *******************************************************************************/
#ifndef TCPServer_Config_h
#define TCPServer_Config_h

#ifdef PRAGMA
#pragma interface "TCPServer_Config.h"
#endif
#include <UnitName_TCPLib.h>
//{{{USR platform:/resource/LibTcpServer/LibTCPServer.emx#_5rKWgO5TEeitL-zKjjNp2A|General|headerPreface
#include <string>
//}}}USR
extern const RTObject_class RTType_TCPServer_Config;
class TCPServer_Config
{
public:
    static unsigned int port;
    static bool defaultHandlingOfReceivedMessages;
    static unsigned int maxWaitForReply;
    static unsigned int remotePort;
    static std::string remoteHost;
    static bool logToStdOut;
    TCPServer_Config( void );
    virtual ~TCPServer_Config( void );
    TCPServer_Config( const TCPServer_Config & rtg_arg );
    TCPServer_Config & operator=( const TCPServer_Config & rtg_arg );
};
struct RTTypedValue_TCPServer_Config
{
    const void * data;
    const RTObject_class * type;
    const bool rValueRef = false;
    inline RTTypedValue_TCPServer_Config( const TCPServer_Config & rtg_value )
        : data( &rtg_value )
        , type( &RTType_TCPServer_Config )
    {
    }
    inline RTTypedValue_TCPServer_Config( const TCPServer_Config && rtg_value )
        : data( &rtg_value )
        , type( &RTType_TCPServer_Config )
        , rValueRef( true )
    {
    }
    inline RTTypedValue_TCPServer_Config( const TCPServer_Config & rtg_value, const RTObject_class * rtg_type )
        : data( &rtg_value )
        , type( rtg_type )
    {
    }
    inline ~RTTypedValue_TCPServer_Config( void )
    {
    }
};
#endif /* TCPServer_Config_h */
